Browse Source

(fix) Address uwsgi segmentation fault issue

With Ubuntu bionic base image for drydock docker image, uwsig crashes
with segmentation fault when it tries to load/import the psycopg2 package.
The reason for this is that uwsgi and psycopg2 packages are built with
incopatible ssl libraries.

Upgrading uwsgi and psycopg2 to address this issue for bionic based
images.

Change-Id: I3d0bfb96c19849f5c2925366f8712bf47985df67
changes/33/709333/5
Ahmad Mahmoudi 2 years ago
parent
commit
d0acfe77cc
  1. 4
      python/requirements-direct.txt
  2. 2
      python/requirements-lock.txt

4
python/requirements-direct.txt

@ -5,7 +5,7 @@ falcon
oslo.versionedobjects==1.23.0
requests
oauthlib
uwsgi==2.0.15
uwsgi==2.0.17.1
pymongo==3.6.1
oslo.config==5.2.0
click==6.7
@ -17,7 +17,7 @@ iso8601==0.1.11
keystoneauth1==3.3.0
alembic==0.8.2
sqlalchemy==1.2.8
psycopg2==2.7.3.1
psycopg2-binary==2.8.4
jsonschema==2.6.0
jinja2==2.9.6
ulid2==0.1.1

2
python/requirements-lock.txt

@ -48,7 +48,7 @@ pbr==4.2.0
pip==18.0
positional==1.2.1
prettytable==0.7.2
psycopg2==2.7.3.1
psycopg2-binary==2.8.4
PTable==0.9.2
pycadf==2.8.0
pycrypto==2.6.1

Loading…
Cancel
Save